import filterData from '@/lib/assets/data/currentFilter.json'

import { Tag } from 'types/content/'

const filters = filterData.filter
const statusLabels = filters.filter(filter => filter.label === 'Status')[0]

function translateLabel(label: string): string {
    const filterCategoriesForTranslation = filters.filter(filterCategory => {
        return filterCategory.id == label
    })
    return filterCategoriesForTranslation.length > 0 ? filterCategoriesForTranslation[0].label : ''
}

function translateTag(tag: Tag): string {
    const filterCategoriesForTranslation = filters.filter(filterCategory => {
        return filterCategory.id == tag.name
    })
    if (filterCategoriesForTranslation.length > 0) {
        const filterCategory = filterCategoriesForTranslation[0]
        return translateLabelValue(filterCategory.options, tag.value)
    }
    return ''
}

function translateLabelValue(options, labelValue) {
    const labelOption = options.filter(option => option.id === labelValue)
    return labelOption.length > 0 ? labelOption[0].label : ''
}

function translateStatusLableValue(labelValue: string): string {
    return translateLabelValue(statusLabels.options, labelValue)
}

export {
    translateLabel,
    translateTag,
    translateStatusLableValue
}
